from tmf882x import TMF882xMeasurement

RAW_MEASUREMENT = (
    b"\x10\xb6\x80\x00\xf4\x16\x13\x00\x00\x01\x00\x00\x06\x04\x00\x00F\xa5\x00\x00]\xa5\xd8!\x00\x00"
    b"\x00\x00\x00\x00\x00\x00\x00\x18L\x08\x19\xe2\t\x16z\n\x0f\xf9\x07\x98\xa8\t7\xab\x08\r\xf1\x07"
    b"*\xfa\x05A\x19\x05\x0b\x88\t*\x01\x05YZ\x04\x00\x00\x00\x0f#\x04\t<\x04\x00\x00\x00\x00\x00\x00"
    b"\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00qX\t\x00\x00\x002D\ne[\t?\xa4\t\x0c>\n\x00\x00"
    b"\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"
)


def test_measurement():
    measurement = TMF882xMeasurement.from_bytes(list(RAW_MEASUREMENT), spad_map=10)
    assert len(measurement.primary_grid) == 6
    assert measurement.temperature == 22
    assert measurement.photon_count == 1030
    assert measurement.reference_count == 42310
    assert len(measurement.results) == 18
